<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text" version="1.0" encoding="UTF-8"/>

<xsl:template match="service">
    <xsl:apply-templates select="components/component"/>
</xsl:template>

<xsl:template match="component">
    <xsl:apply-templates select="init/param">
        <xsl:with-param name="component" select="@name"/>
    </xsl:apply-templates>
    <xsl:apply-templates select="config/param">
        <xsl:with-param name="component" select="@name"/>
    </xsl:apply-templates>
</xsl:template>

<xsl:template match="param">
    <xsl:param name="component" select="unknown"/>
    <xsl:value-of select="$component"/>
    <xsl:text>.</xsl:text>
    <xsl:value-of select="@name"/>
    <xsl:text>=</xsl:text>
    <xsl:value-of select="value"/>
    <xsl:text>
</xsl:text>
</xsl:template>

</xsl:stylesheet>
