#!/bin/bash

TEMPLATEDIR=$(cd $(dirname $0); pwd)
DEPLOYMENT_PREFIX='deployment-template-'
DEPLOYMENT_SUFFIX='.cfg.xml'

for cstemplate in $*; do

    DEST=${DEPLOYMENT_PREFIX}$(basename $cstemplate .config.xml)${DEPLOYMENT_SUFFIX}
    echo "Processing '$cstemplate' to '$DEST'"
    xsltproc $TEMPLATEDIR/config-service-to-deployment.xsl $cstemplate | sed -e 's/@XML_START_COMMENT@/<!--/g; s/@XML_END_COMMENT@/-->/g; s/&#10;/\n/g; s/@NEW_LINE@//' >$DEST
done
